#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS += -Wall -g -fPIC
CXXFLAGS += -fPIC

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
        --prefix=/usr \
        --exec-prefix=/usr \
        --mandir=\$${prefix}/share/man \
        --sysconfdir=/etc \
        --datadir=\$${prefix}/share/ocp \
        --libdir=\$${prefix}/lib \
        --bindir=\$${prefix}/bin \
        --infodir=\$${prefix}/share/info \
        --without-x11 \
        --with-dir-suffix= \
        --with-ncurses \
        --with-adplug
#        --with-freepats=\$${prefix}/share/midi/freepats \

override_dh_auto_build:
	$(MAKE)

override_dh_autoreconf:
	@echo BLIP
#	dh_autoreconf --as-needed

##	AUTOMAKE=true LIBTOOLIZE=true AUTOHEADER=true dh_autoreconf
#	dh_autotools-dev_updateconfig
#	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
#	./configure --host=$(DEB_HOST_GNU_TYPE) \
#        --build=$(DEB_BUILD_GNU_TYPE) \

#clean:
#	rm -f config.log config.status
#	dh_autoreconf_clean
#	dh_autotools-dev_restoreconfig
#	dh_clean

#install: build
#	dh_testdir
#	dh_testroot
#	dh_prep
#	dh_installdirs
#	$(MAKE) install DESTDIR=$(CURDIR)/debian/opencubicplayer
#	-mv debian/opencubicplayer/usr/share/doc/ocp/html/* \
#            debian/opencubicplayer-doc/usr/share/doc/opencubicplayer-doc/html/
#	-rm -rf debian/opencubicplayer/usr/share/doc/ocp
#	cp debian/opencubicplayer32.xpm debian/opencubicplayer/usr/share/pixmaps/opencubicplayer.xpm
##	cp goodies/pack/pack $(CURDIR)/debian/opencubicplayer/usr/bin/pak
#	rm -f debian/opencubicplayer/usr/bin/ultrafix.sh
#	rm -rf debian/opencubicplayer/usr/share/ocp/ocp/
#	rm -rf $(CURDIR)/debian/opencubicplayer/usr/share/info/dir*

#	dh_link -popencubicplayer usr/share/man/man1/ocp.1 usr/share/man/man1/xocp.1
#	dh_link -popencubicplayer usr/share/man/man1/ocp.1 usr/share/man/man1/ocp-curses.1
#	dh_link -popencubicplayer usr/share/man/man1/ocp.1 usr/share/man/man1/ocp-sdl2.1
#	dh_link -popencubicplayer usr/share/man/man1/ocp.1 usr/share/man/man1/ocp-vcsa.1
#	dh_link -popencubicplayer usr/share/man/man1/ocp.1 usr/share/man/man1/ocp-x11.1
